Can't install homeassistant:2020.12.0

Tags: #<Tag:0x00007fc40b1100e0> #<Tag:0x00007fc40b110018>

Maybe check your Docker version? There have been reports that only the latest version of Docker actually works with Supervised.

I am using hassio version, and no Docker update is suggested. I have the same error when I try to update Supervisor :

20-12-16 11:10:32 INFO (SyncWorker_4) [supervisor.docker.interface] Downloading docker image homeassistant/armv7-hassio-supervisor with tag 2020.12.7.
20-12-16 11:10:47 ERROR (SyncWorker_4) [supervisor.docker.interface] Can’t install homeassistant/armv7-hassio-supervisor:2020.12.7 -> 500 Server Error for http+docker://localhost/v1.40/images/create?tag=2020.12.7&fromImage=homeassistant%2Farmv7-hassio-supervisor: Internal Server Error (“Get “https://registry-1.docker.io/v2/”: context deadline exceeded (Client.Timeout exceeded while awaiting headers)”).
20-12-16 11:10:47 ERROR (MainThread) [supervisor.supervisor] Update of Supervisor failed!

I see this on latest VM image on windows 10.

Can anyone help with this?

Does your dashboard upgrade notification make sense compared to the version showing on the supervisor system tab? I am running Home Assistant OS 5.8 and system tab says I am on Core 2020.12.7. But my dashboard says I still need to upgrade to 2020.12.1. if I try the upgrade I get the exact error that you are getting.

I’m having the same issue - Update to 2020.12.1 failed
I checked and the system tab says I am on Core 2020.12.7, but the dashboard indicates the upgrade to 2020.12.1 is also required.
In case it has any bearing, I am running HA under Proxmox.

I think you’ll find that is the Supervisor version, not Core. 2020.12.1 is the current Core version.

The current stable releases that you would be able to see/update too in a HA VM with Proxmox are;

  • Home Assistant OS 5.8
  • Supervisor 2020.12.7
  • Home Assistant Core 2020.12.1

You’re correct, that is the Supervisor version - 2020.12.7. My Home Assistant OS is 5.8, the dashboard states “You are currently running version 0.118.4”
So far any attempt to upgrade the Home Assistant Core to 2020.12.1 results in the error I noted in Update to 2020.12.1 failed.

Still waiting for suggestions on how to resolve.

Edit - Just tried again, same error

20-12-18 05:53:59 INFO (MainThread) [supervisor.homeassistant.core] Updating Home Assistant to version 2020.12.1
20-12-18 05:53:59 INFO (SyncWorker_1) [supervisor.docker.interface] Updating image homeassistant/qemux86-64-homeassistant:0.118.4 to homeassistant/qemux86-64-homeassistant:2020.12.1
20-12-18 05:53:59 INFO (SyncWorker_1) [supervisor.docker.interface] Downloading docker image homeassistant/qemux86-64-homeassistant with tag 2020.12.1.
20-12-18 05:54:14 ERROR (SyncWorker_1) [supervisor.docker.interface] Can't install homeassistant/qemux86-64-homeassistant:2020.12.1 -> 500 Server Error for http+docker://localhost/v1.40/images/create?tag=2020.12.1&fromImage=homeassistant%2Fqemux86-64-homeassistant: Internal Server Error ("Get "https://registry-1.docker.io/v2/": net/http: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers)").
20-12-18 05:54:14 WARNING (MainThread) [supervisor.homeassistant.core] Updating Home Assistant image failed

The 500 error is a DNS issue I believe.

Try repairing the Install. I think this is the command.

ha su repair

I just tried ha su repair and getting many errors in the logs stating the error above.

I am using the base VM image.

I just got a message from a guy on Discord channel and he said he got around this by down grading to 5.5.

executed ‘ha su repair’. It finished quickly and nothing was reported at the cl.
Tried to upgrade again, same error
If I drop https://registry-1.docker.io/v2/ into a web browser it returns an “unauthorized” “authentication required” error (401) indicating DNS has been resolved. A DNS resolution failure is more likely to be a “server not found” (404) error. (edit) Either way the error generated by HA indicates a “500 Server Error” which generally means I’m not going to be able to resolve it at the client.

Also if running version 5.5 works and upgrading to latest version fails - this points to DNS working. Right?

I try a new install with new SD card, the problem is the same :

[supervisor.docker.interface] Downloading docker image homeassistant/raspberrypi3-64-homeassistant with tag 2020.12.1.
20-12-18 16:01:16 ERROR (SyncWorker_0) [supervisor.docker.interface] Can’t install homeassistant/raspberrypi3-64-homeassistant:2020.12.1 -> 500 Server Error for http+docker://localhost/v1.40/images/create?tag=2020.12.1&fromImage=homeassistant%2Fraspberrypi3-64-homeassistant: Internal Server Error (“Get “https://registry-1.docker.io/v2/”: net/http: request canceled while waiting for connection (Client.Timeout exceeded while awaiting headers)”).
20-12-18 16:01:16 WARNING (MainThread) [supervisor.homeassistant.core] Error on Home Assistant installation. Retry in 30sec

I think there is a problem with the docker DNS. Is it possible to change it then the installation with a config file for example ?

New installation with the newly fetched image hassos_rpi3-64–5.8.img.xz on new SD card:

20-12-18 16:27:35 INFO (SyncWorker_5) [supervisor.docker.interface] Updating image homeassistant / raspberrypi3-64-homeassistant: landingpage to homeassistant / raspberrypi3-64-homeassistant: 2020.12.1
20-12-18 16:27:35 INFO (SyncWorker_5) [supervisor.docker.interface] Downloading docker image homeassistant / raspberrypi3-64-homeassistant with tag 2020.12.1.
20-12-18 16:27:50 ERROR (SyncWorker_5) [supervisor.docker.interface] Can't install homeassistant / raspberrypi3-64-homeassistant: 2020.12.1 -> 500 Server Error for http + docker: // localhost / v1.40 / images / create? tag = 2020.12.1 & fromImage = homeassistant% 2Fraspberrypi3-64-homeassistant: Internal Server Error ("Get" https://registry-1.docker.io/v2/ ": context deadline exceeded") .
20-12-18 16:27:50 WARNING (MainThread) [supervisor.homeassistant.core] Error on Home Assistant installation. Retry in 30sec
2 Likes

Same issue here. I’ve rpi4 8gb 64bit standard image. I have ssl, duckdns. Just updated for the 5.8 os, failed to upgrade HA from 12.0 to 2020.12.1

1 Like

Yesterday I had this problem on both a physical RPI and a Hyper-V image. Today the RPI decided to update. I’ll try again tomorrow.

It’s a very big problem, I can’t install home assistant on a new SD card, I can’t update it on my old SD, and I can’t update addons. Nobody can try to change the Docker DNS in the installation image please ?

Everyone, I was told via the Discord channel that doing a downgrade would fix this but I cannot get this to work.

ha> os upgrade --version “5.5”

I just did an OS downgrade and am able to update the supervisor. If you remove the quotes from 5.5 it should work.

I downgraded to 4.2 as that was what I was using before the update and it was the last stable release before 5.8.
ha os upgrade --version 4.20